View Issue Details

IDProjectCategoryView StatusLast Update
0000091luatexfeature requestpublic2008-09-30 11:49
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.30.0Fixed in Version0.30.0 
Summary0000091: Show revision number in binary
DescriptionPeter Muenster proposed the following:

in tools/get-svnversion.sh:

#!/bin/sh
if which svnversion && which sed; then
    REV=`svnversion | sed -r 's/^([0-9]+).*/\1/'`
    case $REV in *[^0-9]*)
        echo unknown
        exit 0
        ;;
    esac
    echo $REV
else
    echo unknown
fi

in Makefile:
SVN_REV := $(shell tools/get-svnversion.sh)
CFLAGS += -DSVN_REV=\"$(SVN_REV)\"

in C-file:
puts("svn revision: " SVN_REV);
TagsNo tags attached.

Activities

Taco

2008-09-23 17:00

administrator   ~0000054

Revision #1489 uses a variation of this to implement a build number in
luatex --version

Issue History

Date Modified Username Field Change
2008-09-19 09:15 Taco New Issue
2008-09-23 17:00 Taco Status new => resolved
2008-09-23 17:00 Taco Fixed in Version => 0.30.0
2008-09-23 17:00 Taco Resolution open => fixed
2008-09-23 17:00 Taco Assigned To => Taco
2008-09-23 17:00 Taco Note Added: 0000054
2008-09-30 11:49 Taco Status resolved => closed